Hide navigation sidebar
Hide table of contents sidebar
PTB has undergone significant changes in v20. Please read the documentation carefully and also check out the transition guide in the wiki.
Back to top
Toggle table of contents sidebar

# ChatBoostSourcePremium

New in version 20.8.

class telegram.ChatBoostSourcePremium(user, *, api_kwargs=None)

  Bases: `telegram.ChatBoostSource`

  The boost was obtained by subscribing to Telegram Premium or by gifting a Telegram Premium subscription to another user.

  Available In

  - `telegram.ChatBoost.source`

  - `telegram.ChatBoostRemoved.source`

  New in version 20.8.

  Parameters:

    user (`telegram.User`) – User that boosted the chat.

  source

    The source of the chat boost. Always `PREMIUM`.

    Type:

      `str`

  user

    User that boosted the chat.

    Type:

      `telegram.User`